Subject: bug#35358: closed (Closing)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 27 Aug 2023 08:43:02 +0000

Your bug report

#35358: texlive atomic install

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35358: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=35358
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Closing
From: Andreas Enge <[email-masked]>
To: [email-masked]
Date: Sun, 27 Aug 2023 10:42:20 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

This has probably been solved for a while, closing.

Thanks for the report!

Andreas

Subject: texlive atomic install
From: Gabriel Hondet <[email-masked]>
To: [email-masked]
Date: Sun, 21 Apr 2019 15:23:00 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,
I installed texlive package per package (not using the "texlive")
package.  I end up not being able to launch any of pdflatex, lualatex
nor xelatex, as I obtain

Can't locate mktexlsr.pl in @INC (@INC contains: /gnu/store/tlpkg /gnu/store/texmf-dist/scripts/texlive /home/gabriel/.
guix-profile/share/texmf-dist/scripts/texlive/ /gnu/store/dna8kpb00kq176rz8x69yy4j33my2q55-perl-5.28.0/lib/perl5/site_p
erl/5.28.0/x86_64-linux-thread-multi /gnu/store/dna8kpb00kq176rz8x69yy4j33my2q55-perl-5.28.0/lib/perl5/site_perl/5.28.0
 /gnu/store/dna8kpb00kq176rz8x69yy4j33my2q55-perl-5.28.0/lib/perl5/5.28.0/x86_64-linux-thread-multi /gnu/store/dna8kpb0
0kq176rz8x69yy4j33my2q55-perl-5.28.0/lib/perl5/5.28.0) at /home/gabriel/.guix-profile/bin/mktexfmt line 23.           
BEGIN failed--compilation aborted at /home/gabriel/.guix-profile/bin/mktexfmt line 25.
I can't find the format file `lualatex.fmt'!

The content '/gnu/store/{tlpkg,texmf-dist}' look suspicious.  Inspecting
mktexfmt, we learn that those paths are returned by 'kpsewhich
-var-value=TEXMFROOT'.  How can we change the path returned by
kpsewhich?

Cheers,
Gabriel